package cn.axzo.workflow.core.common.code;

import cn.axzo.framework.domain.web.code.IModuleRespCode;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 异步任务相关响应码
 *
 * @author wangli
 * @since 2024/4/29 20:30
 */
@Getter
@AllArgsConstructor
public enum AsyncJobRespCode implements IModuleRespCode {
    DATA_NOT_EXISTS("001", "ExtTaskInst 数据不存在, instId: {}, taskId: {}"),
    ;
    private String code;
    private String message;

    @Override
    public String getModuleCode() {
        return "11";
    }

    @Override
    public String getProjectCode() {
        return "998";
    }

    public void setCode(String code) {
        this.code = code;
    }


    public void setMessage(String message) {
        this.message = message;
    }
}
